#!/bin/sh

set -ex

URL_FILE='email-config.links'
PAGE_FILE='email-config.page_'

for URL in $(sort -u "$URL_FILE")
do
	PROVIDER="${URL##*/}"

	curl -sL "$URL" \
	  | html2text \
	  > ${PAGE_FILE}${PROVIDER} &

	sleep 0.25
done

echo Waiting threads to finish
wait

exit 0
