#!/bin/sh

set -ex

LOG="email-config.servers.log"

sed 's,^{[^}]\+} username:,{SERVER} username:,' -i $LOG.*.mailutil
sed 's,\(Temporary authentication failure.\) \[[^]]\+\],\1 [SERVER],' -i $LOG.*.php-imap
sed '/try later. sc=[^ ]\+ (errflg/ s,sc=[^ ]\+,sc=STRING,' -i $LOG.*.php-imap
sed 's/[iI]nvalid user name or password.\? (errflg/invalid user name or password (errflg/' -i $LOG.*.php-imap
sed '/Invalid credentials or IMAP is disabled sc=./ s,sc=.,sc=X,' -i $LOG.*.php-imap

exit 0

